Bug 91028 - [BDW/SKL/BSW/HSW/KBL/BXT] kms_frontbuffer_tracking fbc stride subcases fail
Summary: [BDW/SKL/BSW/HSW/KBL/BXT] kms_frontbuffer_tracking fbc stride subcases fail
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Paulo Zanoni
QA Contact: cprigent
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-19 07:55 UTC by lu hua
Modified: 2017-07-24 22:46 UTC (History)
2 users (show)

See Also:
i915 platform: BDW, BSW/CHT, BXT, HSW, KBL, SKL
i915 features: display/FBC


Attachments
dmesg (124.78 KB, text/plain)
2015-06-19 07:55 UTC, lu hua
no flags Details
kern.log (278.54 KB, text/plain)
2016-03-07 16:33 UTC, Humberto Israel Perez Rodriguez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2015-06-19 07:55:33 UTC
Created attachment 116592 [details]
dmesg

==System Environment==
--------------------------
Regression: not sure, new case

Non-working platforms: SKL

==kernel==
--------------------------
drm-intel-nightly/186047de2f57b1ed4d1bd52f824b88b25275d378
commit 186047de2f57b1ed4d1bd52f824b88b25275d378
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jun 18 18:47:12 2015 +0200

    drm-intel-nightly: 2015y-06m-18d-16h-46m-34s UTC integration manifest

==Bug detailed description==
-----------------------------
many kms_frontbuffer_tracking subcases fail.
igt@kms_frontbuffer_tracking@fbc-1p-pri-sfb-multidraw-blt
igt@kms_frontbuffer_tracking@fbc-1p-pri-sfb-multidraw-mmap-cpu
igt@kms_frontbuffer_tracking@fbc-1p-pri-sfb-multidraw-mmap-gtt
igt@kms_frontbuffer_tracking@fbc-1p-pri-sfb-multidraw-mmap-wc
igt@kms_frontbuffer_tracking@fbc-1p-pri-sfb-multidraw-pwrite
igt@kms_frontbuffer_tracking@fbc-1p-pri-sfb-multidraw-render
igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-mfb-draw-mmap-gtt
igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-mfb-draw-mmap-wc
igt@kms_frontbuffer_tracking@fbc-1p-primscrn-pri-sfb-draw-mmap-wc
igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-mfb-fullscreen
igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-sfb-fullscreen

run ./kms_frontbuffer_tracking --run-subtest fbc-1p-pri-sfb-multidraw-blt
output:
IGT-Version: 1.11-gc83299d (x86_64) (Linux: 4.1.0-rc8_drm-intel-nightly_186047_20150619+ x86_64)
Primary screen: eDP Custom 1024x768
FBC last action not supported
Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:208:
Failed assertion: a->crc[i] == b->crc[i]
error: 0x2254da6f != 0x803881d9
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [igt_assert_crc_equal+0x78]
  #2 [main+0x23bf]
  #3 [__libc_start_main+0xf5]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest fbc-1p-pri-sfb-multidraw-blt failed.
**** DEBUG ****
ef2eb233e]
Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
Calculated CRC: pipe:[3759c34e 00000000 00000000 00000000 00000000] sink:[64fe4b32233e]
Calculated CRC: pipe:[3759c34e 00000000 00000000 00000000 00000000] sink:[64fe4b32233e]
Calculated CRC: pipe:[867a95af 00000000 00000000 00000000 00000000] sink:[00000000784d]
Calculated CRC: pipe:[867a95af 00000000 00000000 00000000 00000000] sink:[00000000784d]
Method mmap-gtt
Calculated CRC: pipe:[2254da6f 00000000 00000000 00000000 00000000] sink:[0000b8abc725]
Calculated CRC: pipe:[2254da6f 00000000 00000000 00000000 00000000] sink:[0000b8abc725]
Calculated CRC: pipe:[803881d9 00000000 00000000 00000000 00000000] sink:[7bbeb8abb3b6]
Calculated CRC: pipe:[803881d9 00000000 00000000 00000000 00000000] sink:[7bbeb8abb3b6]
Calculated CRC: pipe:[b4ccdd5b 00000000 00000000 00000000 00000000] sink:[64fef2eb233e]
Calculated CRC: pipe:[b4ccdd5b 00000000 00000000 00000000 00000000] sink:[64fef2eb233e]
Calculated CRC: pipe:[3759c34e 00000000 00000000 00000000 00000000] sink:[64fe4b32233e]
Calculated CRC: pipe:[3759c34e 00000000 00000000 00000000 00000000] sink:[64fe4b32233e]
Calculated CRC: pipe:[867a95af 00000000 00000000 00000000 00000000] sink:[00000000784d]
Calculated CRC: pipe:[867a95af 00000000 00000000 00000000 00000000] sink:[00000000784d]
Method mmap-wc
Calculated CRC: pipe:[2254da6f 00000000 00000000 00000000 00000000] sink:[0000b8abc725]
Calculated CRC: pipe:[2254da6f 00000000 00000000 00000000 00000000] sink:[0000b8abc725]
Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
Calculated CRC: pipe:[2254da6f 00000000 00000000 00000000 00000000] sink:[0000b8abc725]
Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:208:
Failed assertion: a->crc[i] == b->crc[i]
error: 0x2254da6f != 0x803881d9
****  END  ****
Subtest fbc-1p-pri-sfb-multidraw-blt: FAIL (5.451s)

==Reproduce steps==
---------------------------- 
1. ./kms_frontbuffer_tracking --run-subtest fbc-1p-pri-sfb-multidraw-blt
Comment 1 Paulo Zanoni 2015-06-23 17:47:40 UTC
These are not regressions. There are many expected failures for kms_frontbuffer_tracking. I'll soon propose a solution for handling these expected failures.
Comment 2 lu hua 2015-06-26 06:28:40 UTC
They also fail on BDW.
Comment 3 Jesse Barnes 2015-07-29 14:52:00 UTC
Giving to Paulo; hopefully already fixed.
Comment 4 Paulo Zanoni 2015-07-29 21:40:12 UTC
(In reply to Jesse Barnes from comment #3)
> Giving to Paulo; hopefully already fixed.

Not fixed yet: needs reviewers.
Comment 5 cprigent 2015-08-16 12:25:55 UTC
208 kms_frontbuffer_tracking subcases are fail on BSW.

Platform: Braswell M
CPU : Intel(R) CPU  @ 1.52 GHz (family: 6, model: 76 stepping: 3)
SoC : BSW C0
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All
Feature Reworks: F28, F32,F33 & F37
Optional reworks : O-01a
Software
BIOS : SKLSE2R1.R00.X093.B02.1507222151
ME FW : 11.0.0.1157
Ksc (EC FW): 1.15
Linux distribution: Ubuntu 14.04 LTS 64 bits
Kernel: drm-intel-nightly 308b72e08b237aa7cde758fc44f88851710e417d 4.2.0-rc5 from git://anongit.freedesktop.org/drm-intel 
Mesa: mesa-10.6.3 ddc976368fef367e464472ebcc2ac4fd89eb9fd8 from http://cgit.freedesktop.org/mesa/mesa/
Xf86_video_intel: 2.99.917 baec802b21387d04aebb10ac29e719a1800c5aa0 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm: libdrm-2.4.62 ba4b5ac010ab85406ec52e3906e13d58cd9aa782 from http://cgit.freedesktop.org/mesa/drm/
Cairo: 1.14.2 from 93422b3cb5e0ef8104b8194c8873124ce2f5ea2d http://cgit.freedesktop.org/cairo
libva: libva-1.6.0 a8008998bc0d4a76ae6927607c048e52ba50fd0e from http://cgit.freedesktop.org/libva/
intel-driver: 1.6.0 32268c46d538667d437dc9266aa4c183e51c1286 from http://cgit.freedesktop.org/vaapi/intel-driver
Xserver: xorg-server-1.17.2 2123f7682d522619f101b05fb75efa75dabbe371 from http://cgit.freedesktop.org/xorg/xserver

IGT: 1.11-g5c07135 from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/ 

Kernel commit log:
commit 308b72e08b237aa7cde758fc44f88851710e417d
Author: Daniel Vetter
Date: Fri Aug 7 19:09:47 2015 +0200
drm-intel-nightly: 2015y-08m-07d-17h-08m-56s UTC integration manifest
Comment 6 cprigent 2015-08-16 14:28:20 UTC
179 kms_frontbuffer_tracking subcases are fail on SKL.

Platform: SKY LAKE Y A0
CPU : Intel(R) Core(TM) m3-6Y30 CPU @ 0.8GHz 4MB (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1  2+2
QDF : QVY3 
CPU : SKL D1
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02 & FBS03, O-06
Software
BIOS : SKLSE2R1.R00.X093.B02.1507222151
ME FW : 11.0.0.1157
Ksc (EC FW): 1.15
Linux distribution: Ubuntu 14.04 LTS 64 bits
Kernel : drm-intel-nightly 308b72e08b237aa7cde758fc44f88851710e417d 4.2.0-rc5 from git://anongit.freedesktop.org/drm-intel 
Mesa: mesa-10.6.3 ddc976368fef367e464472ebcc2ac4fd89eb9fd8 from http://cgit.freedesktop.org/mesa/mesa/
Xf86_video_intel: 2.99.917 baec802b21387d04aebb10ac29e719a1800c5aa0 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm: libdrm-2.4.62 ba4b5ac010ab85406ec52e3906e13d58cd9aa782 from http://cgit.freedesktop.org/mesa/drm/
Cairo: 1.14.2 from 93422b3cb5e0ef8104b8194c8873124ce2f5ea2d http://cgit.freedesktop.org/cairo
libva: libva-1.6.0 a8008998bc0d4a76ae6927607c048e52ba50fd0e from http://cgit.freedesktop.org/libva/
intel-driver: 1.6.0 32268c46d538667d437dc9266aa4c183e51c1286 from http://cgit.freedesktop.org/vaapi/intel-driver
Xserver: xorg-server-1.17.2 2123f7682d522619f101b05fb75efa75dabbe371 from http://cgit.freedesktop.org/xorg/xserver

IGT: 1.11-g5c07135 from http://cgit.freedesktop.org/xorg/app/intel-gpu-tools/ 

Kernel commit log:
commit 308b72e08b237aa7cde758fc44f88851710e417d
Author: Daniel Vetter
Date: Fri Aug 7 19:09:47 2015 +0200
drm-intel-nightly: 2015y-08m-07d-17h-08m-56s UTC integration manifest
Comment 7 Paulo Zanoni 2015-08-17 16:32:59 UTC
Please apply "[PATCH 00/16] FBC bug fixes" and retest using the latest drm-intel-nightly. It's giving me 0 failures on BDW.

BTW, I think we should probably create one bug report for the PSR tests and another for the FBC tests.
Comment 9 Elio 2015-10-01 17:46:07 UTC
The following test (kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-mmap-cpu). is failing showing this log:

Returncode	99
Time	0:00:00.015552
Stdout	
IGT-Version: 1.12-g1f9e055 (x86_64) (Linux: 4.3.0-rc2-drm-intel-nightly+ x86_64)
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [gem_quiescent_gpu+0x208]
  #2 [drm_open_driver+0x67]
  #3 [drm_open_driver_master+0x6]
  #4 [main+0x9b]
  #5 [__libc_start_main+0xf5]
  #6 [_start+0x29]
  #7 [<unknown>+0x29]
Subtest fbcpsr-2p-scndscrn-pri-indfb-draw-mmap-gtt: FAIL
Stderr	
Test assertion failure function gem_quiescent_gpu, file drmtest.c:180:
Failed assertion: drmIoctl((fd), ((((1U) << (((0+8)+8)+14)) | ((('d')) << (0+8)) | (((0x40 + 0x29)) << 0) | ((((sizeof(struct drm_i915_gem_execbuffer2)))) << ((0+8)+8)))), (&execbuf)) == 0
Last errno: 5, Input/output error
Test kms_frontbuffer_tracking failed.
**** DEBUG ****
(kms_frontbuffer_tracking:4087) drmtest-DEBUG: Test requirement passed: fd >= 0
Test assertion failure function gem_quiescent_gpu, file drmtest.c:180:
Failed assertion: drmIoctl((fd), ((((1U) << (((0+8)+8)+14)) | ((('d')) << (0+8)) | (((0x40 + 0x29)) << 0) | ((((sizeof(struct drm_i915_gem_execbuffer2)))) << ((0+8)+8)))), (&execbuf)) == 0
Last errno: 5, Input/output error
****  END  ****

Configuration:

Kernel 4.3.0-rc8-drm-intel-testing-2015-08-28
Mesa: mesa-10.6.7 from http://cgit.freedesktop.org/mesa/mesa/
Xf86_video_intel: 2.99.917 from
http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm: libdrm-2.4.64 from http://cgit.freedesktop.org/mesa/drm/
Cairo: 1.14.2 from http://cgit.freedesktop.org/cairo
libva: libva-1.6.0 from http://cgit.freedesktop.org/libva/
intel-driver: 1.6.1. from http://cgit.freedesktop.org/vaapi/intel-driver
xorg: 1.17.99 installed with script git_xorg.sh
Xserver: xorg-server-1.17.2 from http://cgit.freedesktop.org/xorg/xserver
Intel-gpu-tools: 1.12 from http://cgit.freedesktop.org/xorg/app/intel-gpu
Comment 10 Elio 2015-10-01 17:49:38 UTC
sr-2p-scndscrn-spr-indfb-draw-render is failing as well

Returncode	99
Time	0:00:00.015552
Stdout	
IGT-Version: 1.12-g1f9e055 (x86_64) (Linux: 4.3.0-rc2-drm-intel-nightly+ x86_64)
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [gem_quiescent_gpu+0x208]
  #2 [drm_open_driver+0x67]
  #3 [drm_open_driver_master+0x6]
  #4 [main+0x9b]
  #5 [__libc_start_main+0xf5]
  #6 [_start+0x29]
  #7 [<unknown>+0x29]
Subtest fbcpsr-2p-scndscrn-pri-indfb-draw-mmap-gtt: FAIL
Stderr	
Test assertion failure function gem_quiescent_gpu, file drmtest.c:180:
Failed assertion: drmIoctl((fd), ((((1U) << (((0+8)+8)+14)) | ((('d')) << (0+8)) | (((0x40 + 0x29)) << 0) | ((((sizeof(struct drm_i915_gem_execbuffer2)))) << ((0+8)+8)))), (&execbuf)) == 0
Last errno: 5, Input/output error
Test kms_frontbuffer_tracking failed.
**** DEBUG ****
(kms_frontbuffer_tracking:4087) drmtest-DEBUG: Test requirement passed: fd >= 0
Test assertion failure function gem_quiescent_gpu, file drmtest.c:180:
Failed assertion: drmIoctl((fd), ((((1U) << (((0+8)+8)+14)) | ((('d')) << (0+8)) | (((0x40 + 0x29)) << 0) | ((((sizeof(struct drm_i915_gem_execbuffer2)))) << ((0+8)+8)))), (&execbuf)) == 0
Last errno: 5, Input/output error
****  END  ****
Comment 11 cprigent 2015-10-06 10:24:14 UTC
(In reply to Paulo Zanoni from comment #7)
> Please apply "[PATCH 00/16] FBC bug fixes" and retest using the latest
> drm-intel-nightly. It's giving me 0 failures on BDW.

Paulo,
Could you attach the patch to this bug?
Thanks,
Christophe.
Comment 12 Paulo Zanoni 2015-10-06 13:35:36 UTC
(In reply to cprigent from comment #11)
> (In reply to Paulo Zanoni from comment #7)
> > Please apply "[PATCH 00/16] FBC bug fixes" and retest using the latest
> > drm-intel-nightly. It's giving me 0 failures on BDW.
> 
> Paulo,
> Could you attach the patch to this bug?
> Thanks,
> Christophe.

Oh, well, some of those patches were merged since then, some of those patches have changed and new patches appeared. 

Right now I'm running the following patches on top of -nightly:

http://patchwork.freedesktop.org/patch/60241/
http://patchwork.freedesktop.org/patch/60766/
http://patchwork.freedesktop.org/patch/60888/
http://patchwork.freedesktop.org/patch/60889/

For SKL, I also have a local patch reverting the following commits:

76305b1a68e196c4f76d15ec1897097bb7a7c641
a4611e444694869a9ccec69e4e640aee9b7dc58e
a28170f3389f4e42db95e595b0d86384a79de696
de4a9f83395e8a709ffe463dff6d1c51945da352
de165e0bccb4a8fe71debd5adb2f599609bcb8e0
47c99438b52d12df50e182583634a4cfede3c920
Comment 13 Humberto Israel Perez Rodriguez 2015-10-15 14:32:19 UTC
this issue also happen with the following configuration with HSW :

kernel: 4.3.0-rc4-drm-intel-testing-2015-10-1
xorg-server-1.17.2
libdrm-2.4.65
xf86-video-intel-2.99.917
mesa-11.0.2
libva-1.6.1
intel-driver-1.6.1
cairo-1.14.2
Comment 14 Paulo Zanoni 2015-10-15 18:24:25 UTC
Since most of the relevant fixes were now merged and most tests should be passing, it would be good to start listing each individual failure.
Comment 15 Elio 2015-10-16 14:21:34 UTC
This issue exist with following test cases with latest configuration:

kms_frontbuffer_tracking@psr-rgb565-draw-mmap-cpu
kms_frontbuffer_tracking@psr-rgb101010-draw-mmap-wc
kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-render
kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@psr-2p-scndscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-onoff
kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-draw-mmap-gtt
kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@psr-2p-primscrn-pri-indfb-draw-mmap-gtt
kms_frontbuffer_tracking@psr-2p-primscrn-indfb-evflip-blt
kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-fullscreen
kms_frontbuffer_tracking@psr-1p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@psr-1p-primscrn-indfb-flip-blt
kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-onoff
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-spr-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-spr-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-indfb-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-indfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-spr-indfb-move
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-spr-indfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-spr-indfb-fullscreen
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-spr-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-spr-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-cur-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-scndscrn-cur-indfb-move
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-flip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-onoff
kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-fullscreen
kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-onoff

Kernel: http://vanaheimr.fr.intel.com/shared/out/kernels/drm-intel/WW42.1_4.3.0-rc4_c38f2c2/
 xorg-server-1.17.2
libdrm-2.4.65
xf86-video-intel2.99.917
mesa-11.0.2
libva-1.6.1
intel-driver 1.6.1
cairo 1.14.2
intel-gpu-tools-1.12

Command output example:

Returncode	99
Time	0:00:00.034984
Stdout	
IGT-Version: 1.12-g1f9e055 (x86_64) (Linux: 4.3.0-rc4-drm-intel-testing-2015-10-10-ww41+ x86_64)
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [gem_quiescent_gpu+0x208]
  #2 [drm_open_driver+0x67]
  #3 [drm_open_driver_master+0x6]
  #4 [main+0x9b]
  #5 [__libc_start_main+0xf5]
  #6 [_start+0x29]
  #7 [<unknown>+0x29]
Subtest fbc-1p-primscrn-cur-indfb-onoff: FAIL
Stderr	
Test assertion failure function gem_quiescent_gpu, file drmtest.c:180:
Failed assertion: drmIoctl((fd), ((((1U) << (((0+8)+8)+14)) | ((('d')) << (0+8)) | (((0x40 + 0x29)) << 0) | ((((sizeof(struct drm_i915_gem_execbuffer2)))) << ((0+8)+8)))), (&execbuf)) == 0
Last errno: 5, Input/output error
Test kms_frontbuffer_tracking failed.
**** DEBUG ****
(kms_frontbuffer_tracking:2643) drmtest-DEBUG: Test requirement passed: fd >= 0
Test assertion failure function gem_quiescent_gpu, file drmtest.c:180:
Failed assertion: drmIoctl((fd), ((((1U) << (((0+8)+8)+14)) | ((('d')) << (0+8)) | (((0x40 + 0x29)) << 0) | ((((sizeof(struct drm_i915_gem_execbuffer2)))) << ((0+8)+8)))), (&execbuf)) == 0
Last errno: 5, Input/output error
****  END  ****
Environment	
PIGLIT_SOURCE_DIR="/home/gfx/intel-graphics/intel-gpu-tools/piglit" PIGLIT_PLATFORM="mixed_glx_egl"
Command	/home/gfx/intel-graphics/intel-gpu-tools/tests/kms_frontbuffer_tracking --run-subtest fbc-1p-primscrn-cur-indfb-onoff
Comment 16 cprigent 2015-10-20 07:14:08 UTC
136 failures are reproduced on BSW with last setup. We will report them by sub-families.

igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-render 
igt@kms_frontbuffer_tracking@psr-1p-pri-indfb-multidraw 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-move 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-cur-indfb-onoff 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-indfb-evflip-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-indfb-flip-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-indfb-msflip-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-shrfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-shrfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-shrfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-shrfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-shrfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-pri-shrfb-draw-render 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-shrfb-evflip-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-shrfb-flip-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-shrfb-msflip-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-fullscreen 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-move 
igt@kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-onoff 
igt@kms_frontbuffer_tracking@psr-1p-rte 
igt@kms_frontbuffer_tracking@psr-2p-pri-indfb-multidraw 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-move 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-onoff 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-indfb-evflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-indfb-flip-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-indfb-msflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-pri-shrfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-shrfb-evflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-shrfb-flip-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-shrfb-msflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-fullscreen 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-move 
igt@kms_frontbuffer_tracking@psr-2p-primscrn-spr-indfb-onoff 
igt@kms_frontbuffer_tracking@psr-2p-rte 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-move 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-onoff 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-indfb-evflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-indfb-flip-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-indfb-msflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-shrfb-evflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-shrfb-flip-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-shrfb-msflip-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-blt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-draw-render 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-fullscreen 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-move 
igt@kms_frontbuffer_tracking@psr-2p-scndscrn-spr-indfb-onoff 
igt@kms_frontbuffer_tracking@psr-farfromfence  
igt@kms_frontbuffer_tracking@psr-modesetfrombusy 
igt@kms_frontbuffer_tracking@psr-rgb101010-draw-blt 
igt@kms_frontbuffer_tracking@psr-rgb101010-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-rgb101010-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-rgb101010-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-rgb101010-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-rgb101010-draw-render 
igt@kms_frontbuffer_tracking@psr-rgb565-draw-blt 
igt@kms_frontbuffer_tracking@psr-rgb565-draw-mmap-cpu 
igt@kms_frontbuffer_tracking@psr-rgb565-draw-mmap-gtt 
igt@kms_frontbuffer_tracking@psr-rgb565-draw-mmap-wc 
igt@kms_frontbuffer_tracking@psr-rgb565-draw-pwrite 
igt@kms_frontbuffer_tracking@psr-rgb565-draw-render 
igt@kms_frontbuffer_tracking@psr-slowdraw

Platform: Braswell M
CPU : Intel(R) Celeron N3060 1.60GHz @ 1.6 GHz (family: 6, model: 76 stepping: 4)
SoC : BSW D0
QDF : K6XC
CRB : BRASWELL RVP Fab2
Mandatory Reworks : All 
Feature Reworks: F28, F32, F33, F35, F37
Optional reworks : O-01a; O-02, O-03

BIOS : BRAS.X64.B084.R00.1508310642
TXE FW : 2.0.0.2073
Ksc : 1.08
Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc5-drm-intel-nightly+ 819f710081d7ea116b9b44a9264061d2c030f009 from git://anongit.freedesktop.org/drm-intel
Mesa - 11.0.3 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver

Kernel commit 819f710081d7ea116b9b44a9264061d2c030f009
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Oct 14 19:05:17 2015 +0200
drm-intel-nightly: 2015y-10m-14d-17h-04m-36s UTC integration manifest
Comment 17 cprigent 2015-10-20 11:35:32 UTC
E fails with last setup on SKL:
igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-mmap-gtt
igt@kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-indfb-draw-mmap-gtt
igt@kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-indfb-draw-mmap-gtt

Platform: SKY LAKE Y A0 
CPU : Intel(R) Core(TM) m5-6Y57 CPU @ 1.10GHz (family: 6, model: 78  stepping: 3)
MCP : SKL-Y  D1 2+2 (ou ULX-D1)
QDF : QJK9 
CPU : SKL D0
Chipset PCH: Sunrise Point LP C1       
CRB : SKY LAKE Y LPDDR3 RVP3 CRB FAB2
Reworks : All Mandatories + FBS02,FBS03, F23, O-02 & O-06
BIOS : SKLSE2R1.R00.X097.B02.1509020030
ME FW : 11.0.0.1173
Ksc (EC FW): 1.19

Linux distribution: Ubuntu 14.04 LTS 64 bits
kernel 4.3.0-rc4-drm-intel-nightly+ c38f2c24fb6484fc6900efa6f8d968e8ee964e9c from git://anongit.freedesktop.org/drm-intel
Mesa - 11.0.3 from http://cgit.freedesktop.org/mesa/mesa/
xf86-video-intel - 2.99.917 from http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Libdrm - 2.4.65 from http://cgit.freedesktop.org/mesa/drm/
Libva - 1.6.1 from http://cgit.freedesktop.org/libva/
vaapi intel-driver - 1.6.1 from http://cgit.freedesktop.org/vaapi/intel-driver
Cairo - 1.14.2 from http://cgit.freedesktop.org/cairo
Xorg Xserver - 1.17.2 from http://cgit.freedesktop.org/xorg/xserver

commit c38f2c24fb6484fc6900efa6f8d968e8ee964e9c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Oct 9 14:50:43 2015 +0200
drm-intel-nightly: 2015y-10m-09d-12h-49m-56s UTC integration manifest
Comment 18 Jairo Miramontes 2015-10-29 18:31:20 UTC
The amount of tests failing on HSW is still high, however we can create a single bug per test if necessary, below my configuration and tests failing.

==Test Environment==
--------------------------------------------------
Platform: Intel NUC D54250WYK
Processor Intel Core I5-425OU 1.30 GHz
Software
Linux distribution: Ubuntu 14.04.03 LTS 64Bits
BIOS: WTLPT10H.86A.0021.2013.1.017.1606

==Software==
--------------------------------------------------
kernel: 4.3.0-rc6-drm-intel-nightly
xorg-server-1.17.2
libdrm-2.4.65
xf86-video-intel-2.99.917
mesa-11.0.4
libva-1.6.1
intel-driver-1.6.1
cairo-1.14.2

==Failed tests==
--------------------------------------------------
kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-1p-offscren-pri-indfb-draw-render
kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-onoff
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-draw-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-fullscreen
kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-move
kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-onoff
kms_frontbuffer_tracking@fbc-2p-indfb-fliptrack
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-move
kms_frontbuffer_tracking@fbc-2p-primscrn-indfb-flip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-draw-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-fullscreen
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-move
kms_frontbuffer_tracking@fbc-2p-primscrn-spr-indfb-onoff
kms_frontbuffer_tracking@fbc-2p-scndscrn-cur-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-scndscrn-cur-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-scndscrn-cur-indfb-draw-render
kms_frontbuffer_tracking@fbc-2p-scndscrn-indfb-flip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-indfb-msflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-draw-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-fullscreen
kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-move
kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-onoff
kms_frontbuffer_tracking@fbc-rgb565-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-rgb565-draw-render
Comment 19 Jairo Miramontes 2015-10-29 21:15:44 UTC
on Haswell I Just noticed that 1p tests on this family pass if you only have 1 display connected (1pipe) if you have 2 they will fail, is this an expected behavior? I would say they should pass even if you have 2 displays... however I am not sure.
Comment 20 dog 2015-11-03 23:02:15 UTC
Will this bug be replaced with a fresh list of new failures since Paulo's patches were applied?  Or are we still working the issue with this bug?  Paulo, shouldn't you be the owner?
Comment 21 Paulo Zanoni 2015-11-05 17:37:49 UTC
(In reply to dog from comment #20)
> Will this bug be replaced with a fresh list of new failures since Paulo's
> patches were applied?  Or are we still working the issue with this bug? 
> Paulo, shouldn't you be the owner?

I was the owner until someone changed this :)

So kms_frontbuffer_tracking tests both PSR and FBC. Maybe we should have separate bug reports for each of them.

For FBC specifically, my focus is on BDW+SKL right now, so at this moment I'm not really interested in seeing reports for HSW/BSW and others.

For SKL specifically, we seem to be having general problems with Sink CRC calculation, and that is causing some tests to fail intermittently. I think Rodrigo is working on this. If we run the same test multiple times, and it fails only in a few cases, and only with Sink CRC assertion failures, I think we can consider the failure part of the Sink CRC bug.

I'm constantly testing both BDW and SKL, and I get exactly 0 failures for BDW and only 1 failure for SKL (not counting the eventual sink CRC failures), which is on fbc-farfromfence. I would expect QA's results to match this. Maybe it would be good to have some data on the output of the failures that QA is getting with BDW and SKL.
Comment 22 cprigent 2015-11-07 12:50:34 UTC
I reported 2 new bugs for SKL:
FBC: https://bugs.freedesktop.org/show_bug.cgi?id=92854
PSR: https://bugs.freedesktop.org/show_bug.cgi?id=92855
Comment 23 Humberto Israel Perez Rodriguez 2016-02-25 18:54:12 UTC
The issue still happen with latest configuration on BXT-P 

kernel
======

commit 1a139ead792d8e912aa13d413b9cf59811fde676
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Mon Feb 22 10:48:46 2016 +0200

    drm-intel-nightly: 2016y-02m-22d-08h-48m-06s UTC integration manifest

Hardware configuration
=======================
Kernel version                      : 4.5.0-rc5-nightly+
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Mesa version                        : 11.1.1 (git-330aa44
xf86-video-intel version            : 2.99.917
Xorg-Xserver version                : 1.18.1
DRM version                         : 2.4.66
VAAPI version                       : Intel i965 driver for Intel(R) Broxton - 1.6.3.pre1 (1.6.1-92-gf6fe842)
Cairo version                       : 1.15.2
Bios revision                       : 119.10
KSC revision                        : 1.6
Motherboard model                   : Broxton P
Motherboard type                    : NOTEBOOK Hand Held
Motherboard manufacturer            : Intel Corp.
CPU family                          : Other
CPU information                     : 06/5c
GPU Card                            : Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])


tests name that currently are fail
==================================
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-shrfb-fliptrack
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-onoff
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-render
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbc-1p-shrfb-fliptrack
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-suspend
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-move
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbc-shrfb-scaledprimary
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbc-2p-rte
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-blt
Comment 24 Humberto Israel Perez Rodriguez 2016-03-07 16:33:33 UTC
The following tests fail on BXT-P with latest configuration

 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.67-4-g4274539 
	 commit : 4274539 
	 author : Chih-Wei Huang <cwhuang@android-x86.org> 
	 age : 6 days ago 
 --> Component : mesa 
	 url : http://cgit.freedesktop.org/mesa/mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
	 author : Emil Velikov <emil.velikov@collabora.com> 
	 age : 3 weeks ago 
 --> Component : xf86-video-intel 
	 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
	 tag : 2.99.917-560-gd167280 
	 commit : d167280 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 7 days ago 
 --> Component : libva 
	 url : http://cgit.freedesktop.org/libva/ 
	 tag : libva-1.6.1-37-g1f026de 
	 commit : 1f026de 
	 author : Julien Isorce <j.isorce@samsung.com> 
	 age : 3 months ago 
 --> Component : vaapi (intel-driver) 
	 url : http://cgit.freedesktop.org/vaapi/intel-driver 
	 tag : 1.6.1-92-gf6fe842 
	 commit : f6fe842 
	 author : peng.chen <peng.c.chen@intel.com> 
	 age : 5 weeks ago 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
	 author : Bryce Harrington <bryce@osg.samsung.com> 
	 age : 3 months ago 
 --> Component : xserver 
	 url :  http://cgit.freedesktop.org/xorg/xserver 
	 tag : xorg-server-1.18.0-174-g6070a74 
	 commit : 6070a74 
	 author : Olivier Fourdan <ofourdan@redhat.com> 
	 age : 3 weeks ago 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-1-gfbe92a2 
	 commit : fbe92a2 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 19 hours ago 

 --- Hardware information ---	
Platform	
Motherboard model	Broxton P
Motherboard type	NOTEBOOK Hand Held
Motherboard manufacturer	Intel Corp.
CPU family	Other
CPU information	06/5c
GPU Card	Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])
Memory ram	8 GB
Maximum memory ram allowed	16 GB
Hard drive capacity	80.0 GB


Test cases 
===================
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-2p-shrfb-fliptrack
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-evflip-blt


Test output
=====================

IGT-Version: 1.14-gfbe92a2 (x86_64) (Linux: 4.5.0-rc5-drm-intel-testing-ww10-commit-a27657a+ x86_64)
Primary screen: eDP 1920x1080
Secondary screen: DP 3840x2160
FBC last action not supported
Can't test PSR: not supported by sink.
FBC status:
FBC disabled: framebuffer stride not supported
Compressing: no

(kms_frontbuffer_tracking:1619) CRITICAL: Test assertion failure function enable_prim_screen_and_wait, file kms_frontbuffer_tracking.c:1685:
(kms_frontbuffer_tracking:1619) CRITICAL: Failed assertion: false
(kms_frontbuffer_tracking:1619) CRITICAL: FBC disabled
Stack trace:
  #0 [__igt_fail_assert+0xf1]
  #1 [enable_prim_screen_and_wait+0x343]
  #2 [prepare_subtest_screens+0x9]
  #3 [flip_subtest+0x65]
  #4 [main+0x1733]
  #5 [__libc_start_main+0xf0]
  #6 [_start+0x29]
  #7 [<unknown>+0x29]
Subtest fbc-2p-primscrn-shrfb-plflip-blt failed.
**** DEBUG ****
(kms_frontbuffer_tracking:1619) DEBUG: Test requirement passed: scnd_mode_params.connector_id
(kms_frontbuffer_tracking:1619) DEBUG: Test requirement passed: fbc.can_test
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258 [bpp=32], tiling=0x100000000000001, size=8294400)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=9, pitch=7680)
(kms_frontbuffer_tracking:1619) DEBUG: Blue CRC:   pipe:[941b2438 00000000 00000000 00000000 00000000] sink:[00000000c101]
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258 [bpp=32], tiling=0x100000000000001, size=8294400)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=9, pitch=7680)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258 [bpp=32], tiling=0x100000000000001, size=8294400)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=10, pitch=7680)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258 [bpp=32], tiling=0x100000000000001, size=8294400)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=11, pitch=7680)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258 [bpp=32], tiling=0x100000000000001, size=8294400)
(kms_frontbuffer_tracking:1619) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=12, pitch=7680)
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) DEBUG: Rect 0 CRC: pipe:[d15675fd 00000000 00000000 00000000 00000000] sink:[0000982a592b]
(kms_frontbuffer_tracking:1619) DEBUG: Rect 1 CRC: pipe:[c52e6ea4 00000000 00000000 00000000 00000000] sink:[216c982a7847]
(kms_frontbuffer_tracking:1619) DEBUG: Rect 2 CRC: pipe:[9804f15b 00000000 00000000 00000000 00000000] sink:[7a79424da220]
(kms_frontbuffer_tracking:1619) DEBUG: Rect 3 CRC: pipe:[6403325c 00000000 00000000 00000000 00000000] sink:[7a794dcfa220]
(kms_frontbuffer_tracking:1619) igt-draw-DEBUG: Test requirement passed: intel_gen(intel_get_drm_devid(fd)) >= 5
(kms_frontbuffer_tracking:1619) DEBUG: Calculated CRC: pipe:[941b2438 00000000 00000000 00000000 00000000] sink:[00000000c101]
(kms_frontbuffer_tracking:1619) DEBUG: Test requirement passed: !fbc_not_enough_stolen()
(kms_frontbuffer_tracking:1619) INFO: FBC status:
FBC disabled: framebuffer stride not supported
Compressing: no

(kms_frontbuffer_tracking:1619) CRITICAL: Test assertion failure function enable_prim_screen_and_wait, file kms_frontbuffer_tracking.c:1685:
(kms_frontbuffer_tracking:1619) CRITICAL: Failed assertion: false
(kms_frontbuffer_tracking:1619) CRITICAL: FBC disabled
****  END  ****
Subtest fbc-2p-primscrn-shrfb-plflip-blt: FAIL (8.740s)

real    0m12.303s
user    0m0.072s
sys     0m0.064s


Please see the kernel.log attached for more information
Comment 25 Humberto Israel Perez Rodriguez 2016-03-07 16:33:56 UTC
Created attachment 122143 [details]
kern.log
Comment 26 Humberto Israel Perez Rodriguez 2016-03-17 17:27:51 UTC
The following test cases fail on BXT-P with the following configuration

test cases
=============

kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-onoff
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-render
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-blt
kms_frontbuffer_tracking@fbc-suspend
kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-onoff
kms_frontbuffer_tracking@fbc-2p-rte
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-move
kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-mmap-gtt


Hardware information
=====================
Platform	BXT-P
Motherboard model	Broxton P
Motherboard type	NOTEBOOK Hand Held
Motherboard manufacturer	Intel Corp.
CPU family	Other
CPU information	06/5c
GPU Card	Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])

Software information
======================
Linux distribution : Ubuntu 15.10
Architecture       : 64-bit

 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.67-5-gea07de9 
	 commit : ea07de9 
	 author : Rodrigo Vivi <rodrigo.vivi@intel.com> 
	 age : 13 days ago 
 --> Component : mesa 
	 url : http://cgit.freedesktop.org/mesa/mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
	 author : Emil Velikov <emil.velikov@collabora.com> 
	 age : 5 weeks ago 
 --> Component : xf86-video-intel 
	 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
	 tag : 2.99.917-560-gd167280 
	 commit : d167280 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 3 weeks ago 
 --> Component : libva 
	 url : http://cgit.freedesktop.org/libva/ 
	 tag : libva-1.7.0.pre1 
	 commit : 35f1447 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : vaapi (intel-driver) 
	 url : http://cgit.freedesktop.org/vaapi/intel-driver 
	 tag : 1.7.0.pre1 
	 commit : ab8e4e3 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
	 author : Bryce Harrington <bryce@osg.samsung.com> 
	 age : 3 months ago 
 --> Component : xserver 
	 url :  http://cgit.freedesktop.org/xorg/xserver 
	 tag : xorg-server-1.18.1 
	 commit : 23e60f9 
	 author : Adam Jackson <ajax@redhat.com> 
	 age : 5 weeks ago 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-23-g364d378 
	 commit : 364d378 
	 author : Paulo Zanoni <paulo.r.zanoni@intel.com> 
	 age : 10 days ago 

kernel
=========
drm-intel-testing / commit a27657a

commit a27657a39741599ce9feef1ef39ae6654e9e6768
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Feb 29 09:42:22 2016 +0100

    drm-intel-nightly: 2016y-02m-29d-08h-41m-12s UTC integration manifest

Kernel version : 4.5.0-rc5
Architecture : source amd64 all
Comment 27 Paulo Zanoni 2016-03-22 21:56:06 UTC
This is not working: grouping both FBC and PSR and all platforms on a single bug report is a guarantee we'll never close this. Also, my tiny little brain is to small to process everything at the same time.

Please let's open one bug per feature per platform:
- BXT PSR subcases failing
- BXT FBC subcases failing
- SKL PSR subcases failing
- SKL FBC subcases failing
- BDW PSR subcases failing
- BDW FBC subcases failing
- BSW PSR subcases failing
- BSW FBC subcases failing

Also, let's give a higher priority to platforms that have the feature enabled by default.

I also don't think we'll need the 8 cases above.
Comment 28 Luis Botello 2016-03-23 18:09:29 UTC
This issue still happen on KBL with the following configuration


Test cases
===============
kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-mmap-wc
kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-rgb101010-draw-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbcpsr-tilingchange
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-shrfb-scaledprimary
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-blt
kms_frontbuffer_tracking@fbc-rgb565-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-1p-indfb-fliptrack
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@psr-1p-primscrn-pri-indfb-draw-render
kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbc-1p-shrfb-fliptrack
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@psr-1p-offscren-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-render
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-msflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbc-2p-primscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@psr-1p-primscrn-spr-indfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-2p-shrfb-fliptrack
kms_frontbuffer_tracking@fbc-2p-primscrn-indfb-msflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbcpsr-2p-primscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@fbcpsr-2p-shrfb-fliptrack
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-shrfb-pgflip-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-wc
kms_frontbuffer_tracking@fbc-shrfb-scaledprimary
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-pwrite
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-1p-indfb-fliptrack
kms_frontbuffer_tracking@fbc-2p-primscrn-pri-shrfb-draw-mmap-cpu
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbcpsr-1p-primscrn-spr-indfb-move
kms_frontbuffer_tracking@fbc-1p-primscrn-pri-shrfb-draw-blt
kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-pri-shrfb-draw-mmap-gtt
kms_frontbuffer_tracking@psr-1p-primscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@psr-1p-primscrn-indfb-msflip-blt
kms_frontbuffer_tracking@fbc-1p-primscrn-indfb-plflip-blt
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-plflip-blt
kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-render
kms_frontbuffer_tracking@fbc-2p-scndscrn-shrfb-evflip-blt
kms_frontbuffer_tracking@fbcpsr-1p-shrfb-fliptrack
kms_frontbuffer_tracking@fbc-1p-primscrn-shrfb-plflip-blt


Hardware configuration
=======================
Platform	KBL (RVP3)
Motherboard model	Kabylake Client platform
Motherboard type	Skylake Y LPDDR3 RVP3 Laptop
Motherboard manufacturer	Intel Corporation
CPU family	Other
CPU information	Genuine Intel(R) CPU 0000 @ 0.90GHz
GPU Card	Intel Corporation Device 591e (prog-if 00 [VGA controller])
Memory ram	4 GB

Software configuration
=======================
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.67-5-gea07de9 
	 commit : ea07de9 
	 author : Rodrigo Vivi <rodrigo.vivi@intel.com> 
	 age : 13 days ago 
 --> Component : mesa 
	 url : http://cgit.freedesktop.org/mesa/mesa 
	 tag : mesa-11.1.2 
	 commit : 7bcd827 
	 author : Emil Velikov <emil.velikov@collabora.com> 
	 age : 5 weeks ago 
 --> Component : xf86-video-intel 
	 url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
	 tag : 2.99.917-560-gd167280 
	 commit : d167280 
	 author : Chris Wilson <chris@chris-wilson.co.uk> 
	 age : 3 weeks ago 
 --> Component : libva 
	 url : http://cgit.freedesktop.org/libva/ 
	 tag : libva-1.7.0.pre1 
	 commit : 35f1447 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : vaapi (intel-driver) 
	 url : http://cgit.freedesktop.org/vaapi/intel-driver 
	 tag : 1.7.0.pre1 
	 commit : ab8e4e3 
	 author : Xiang Haihao <haihao.xiang@intel.com> 
	 age : 11 days ago 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
	 author : Bryce Harrington <bryce@osg.samsung.com> 
	 age : 3 months ago 
 --> Component : xserver 
	 url :  http://cgit.freedesktop.org/xorg/xserver 
	 tag : xorg-server-1.18.1 
	 commit : 23e60f9 
	 author : Adam Jackson <ajax@redhat.com> 
	 age : 5 weeks ago 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.14-23-g364d378 
	 commit : 364d378 
	 author : Paulo Zanoni <paulo.r.zanoni@intel.com> 
	 age : 10 days ago 


kernel configuration
=====================
Branch : drm-intel-testing
commit a27657a39741599ce9feef1ef39ae6654e9e6768
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Feb 29 09:42:22 2016 +0100

    drm-intel-nightly: 2016y-02m-29d-08h-41m-12s UTC integration manifest
Kernel version : 4.5.0-rc5
Architecture : source amd64 all
Comment 29 maria guadalupe 2016-04-01 19:35:18 UTC
This bug was also reproduced on BXT under the following configuration


Hardware configuration
=======================
Platform     BXT - P (APL)
Motherboard model  Apollo Lake
Motherboard type    NOTEBOOK Hand Held
Motherboard manufacturer Intel Corp.
CPU family   Other
CPU information    06/5c
GPU Card     Intel Corporation Device 5a84 (rev 03) (prog-if 00 [VGA controller])
Memory ram   8 GB


Software configuration
=======================
 --> Component : drm 
       url : http://cgit.freedesktop.org/mesa/drm 
       tag : libdrm-2.4.67-11-gea78c17 
       commit : ea78c17 
       author : Emil Velikov <emil.l.velikov@gmail.com> 
       age : 20 hours ago 
 --> Component : mesa 
       url : http://cgit.freedesktop.org/mesa/mesa 
       tag : mesa-11.1.2 
       commit : 7bcd827 
       author : Emil Velikov <emil.velikov@collabora.com> 
       age : 7 weeks ago 
 --> Component : xf86-video-intel 
       url : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel 
       tag : 2.99.917-590-g094924f 
       commit : 094924f 
       author : Chris Wilson <chris@chris-wilson.co.uk> 
       age : 4 days ago 
 --> Component : libva 
       url : http://cgit.freedesktop.org/libva/ 
       tag : libva-1.7.0-1-g2339d10 
       commit : 2339d10 
       author : Xiang Haihao <haihao.xiang@intel.com> 
       age : 13 days ago 
 --> Component : vaapi (intel-driver) 
       url : http://cgit.freedesktop.org/vaapi/intel-driver 
       tag : 1.7.0-5-g759e44d 
       commit : 759e44d 
       author : peng.chen <peng.c.chen@intel.com> 
       age : 13 days ago 
 --> Component : cairo 
       url : http://cgit.freedesktop.org/cairo 
       tag : 1.15.2 
       commit : db8a7f1 
       author : Bryce Harrington <bryce@osg.samsung.com> 
       age : 4 months ago 
 --> Component : xserver 
       url :  http://cgit.freedesktop.org/xorg/xserver 
       tag : xorg-server-1.18.0-254-g44e1c97 
       commit : 44e1c97 
       author : Olivier Fourdan <ofourdan@redhat.com> 
       age : 8 days ago 
 --> Component : intel-gpu-tools 
       url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
       tag : intel-gpu-tools-1.14-129-g41a26b5 
       commit : 41a26b5 
       author : Chris Wilson <chris@chris-wilson.co.uk> 
       age : 26 hours ago  


kernel configuration
=====================
Branch : drm-intel-nightly
commit f5d413cccefa1f93d64c34f357151d42add63a84
Author: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Date:   Thu Mar 24 14:35:16 2016 +0000

    drm-intel-nightly: 2016y-03m-24d-14h-34m-29s UTC integration manifest
Kernel version : 4.5.0
Architecture : source amd64 all
Comment 30 Luis Botello 2016-05-27 21:05:24 UTC
This isuue is also seen on KBL with the following config:

Gfx stack information
===============================================
--> Component : drm 
                 tag : libdrm-2.4.68-4-g7aab852 
                 commit : 7aab852 
 --> Component : mesa 
                 tag : mesa-11.1.2 
                 commit : 7bcd827 
 --> Component : cairo 
                 tag : 1.15.2 
                 commit : db8a7f1 
 --> Component : intel-gpu-tools
                tag : intel-gpu-tools-1.14-346-gcce2ff0
                commit : cce2ff0


Software information
============================

Kernel version                      : 4.6.0-nightly+
Linux distribution                  : Ubuntu 15.10
Architecture                        : 64-bit
Bios revision                       : 28.1
KSC revision                        : 1.15


Hardware information 
=============================

Platform                            : SKL-Y to KBL (RVP3)
Motherboard model                   : Kabylake Client platform
Motherboard manufacturer            : Intel Corporation
CPU information                     : Genuine Intel(R) CPU 0000 @ 0.90GHz
GPU Card                            : Intel Corporation Device 591e (prog-if 00 [VGA controller])


|=== kernel information ===|

commit 2ec823981d62c56d1511bda42b8295e31ece800f


|=== test cases failed ===|

igt@kms_frontbuffer_tracking@fbc-stridechange
igt@kms_frontbuffer_tracking@fbcpsr-stridechange
igt@kms_frontbuffer_tracking@fbc-badstride
igt@kms_frontbuffer_tracking@fbcpsr-badstride
Comment 31 Humberto Israel Perez Rodriguez 2016-06-30 18:12:38 UTC
The following tests cases fail with the next configuration

Tests cases
============================================
igt@kms_frontbuffer_tracking@fbc-stridechange
igt@kms_frontbuffer_tracking@fbc-badstride


Software information
============================================
Kernel version                  : 4.7.0-rc4-drm-intel-nightly-ww26-commit-5c244f4+
Linux distribution              : Ubuntu 16.04 LTS
Architecture                    : 64-bit

Hardware information
============================================
Platform                        : BXT-P
Motherboard model               : Broxton P
Motherboard type                : NOTEBOOK Hand Held
Motherboard manufacturer        : Intel Corp.
CPU family                      : B1
CPU information                 : 06/5c
GPU Card                        : Intel Corporation Device 5a84 (rev 0a) (prog-if 00 [VGA controller])
Memory ram                      : 16 GB

Firmwares information
============================================
DMC fw loaded                   : yes
DMC version                     : 1.7
GUC fw loaded                   : SUCCESS
GUC version wanted              : 8.7
GUC version found               : 8.7

 
 --> Component : drm 
	 url : http://cgit.freedesktop.org/mesa/drm 
	 tag : libdrm-2.4.68-9-g625d181 
	 commit : 625d181 
 --> Component : cairo 
	 url : http://cgit.freedesktop.org/cairo 
	 tag : 1.15.2 
	 commit : db8a7f1 
 --> Component : intel-gpu-tools 
	 url : http://cgit.freedesktop.org/xorg/app/intel-gpu-tools 
	 tag : intel-gpu-tools-1.15-54-g88c1f7c 
	 commit : 88c1f7c 

Kernel information
============================================
commit 8a6521c80881208ba106696e67d143ab64bb34c2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jun 29 17:08:50 2016 +0100

    drm-intel-nightly: 2016y-06m-29d-16h-08m-16s UTC integration manifest
Comment 32 cprigent 2016-07-06 15:03:25 UTC
fbc-badstride and fbc-stridechange are pass on my side on APL.

root@BXTP5:/opt/X11R7/src/intel-gpu-tools/tests# ./kms_frontbuffer_tracking --r fbc-badstride
IGT-Version: 1.15-g88c1f7c (x86_64) (Linux: 4.7.0-rc5-nightly+ x86_64)
Primary screen: eDP 1920x1080, crtc 26
Secondary screen: DP 1920x1080, crtc 31
FBC last action not supported
Can't test PSR: not supported by sink.
Subtest fbc-badstride: SUCCESS (12.088s)
root@BXTP5:/opt/X11R7/src/intel-gpu-tools/tests# 
root@BXTP5:/opt/X11R7/src/intel-gpu-tools/tests# 
root@BXTP5:/opt/X11R7/src/intel-gpu-tools/tests# 
root@BXTP5:/opt/X11R7/src/intel-gpu-tools/tests# ./kms_frontbuffer_tracking --r fbc-stridechange
IGT-Version: 1.15-g88c1f7c (x86_64) (Linux: 4.7.0-rc5-nightly+ x86_64)
Primary screen: eDP 1920x1080, crtc 26
Secondary screen: DP 1920x1080, crtc 31
FBC last action not supported
Can't test PSR: not supported by sink.
Subtest fbc-stridechange: SUCCESS (9.167s)


Platform: APL system
CPU Name : Intel(R) Genuine Processor @ 1.1 GHz (family: 6, model: 12, stepping: 9) 4 cores
QDF : Q6HE
SoC : B1
CRB : Apollo Lake DDR3L RVP1A FAB2
Reworks : R19, R20

Software 
Bios: 144_B10 APLK_B0_IFWI_X64_R_2016_06_27_0956_SPI_RVP1.bin from \\gar\ec\proj\ba\CCG\APL BIOS\External\BIOS_Release\Daily\v144_10_2016_WW27.1\IFWI\IFWI_RVP1_Release\IFWI
KSC: 1.15
Linux distribution: Ubuntu 16.04 64 bits
Kernel: drm-intel-nightly 4.7.0-rc5 2fe5da8 from http://cgit.freedesktop.org/drm-intel/
  commit 2fe5da8adcbe5a34830b98c63878eea756e977a2
  Author: Chris Wilson <chris@chris-wilson.co.uk>
  Date:   Sat Jul 2 19:32:50 2016 +0100
  drm-intel-nightly: 2016y-07m-02d-18h-31m-39s UTC integration manifest
drm: libdrm-2.4.68-11 7996a87 from git://anongit.freedesktop.org/mesa/drm
mesa: mesa-11.2.2 3a9f628from git://anongit.freedesktop.org/mesa/mesa
cairo: 1.15.2 db8a7f1 from git://anongit.freedesktop.org/cairo
server: xorg-server-1.18.0-443 3762edd from git://git.freedesktop.org/git/xorg/xserver
xf86-video-intel: 2.99.917-674 9154dff from git://git.freedesktop.org/git/xorg/driver/xf86-video-intel
libva: libva-1.7.0-26 c36971c from git://git.freedesktop.org/git/vaapi/libva
vaapi-intel-driver: 1.7.0-53 bcde10d from git://git.freedesktop.org/git/vaapi/intel-driver
GuC 8.7
DMC 1.07 from https://01.org/linuxgraphics/downloads/broxton-dmc-1.07
Intel-Gpu-Tools 1.15 88c1f7c from http://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git

External screens: ASUS	PB238Q (HDMI) and DELL	U2311Hb (DP)
Comment 33 Jairo Miramontes 2016-07-15 22:12:14 UTC
The following tests failed on KBL while testing drm-intel-testing using the below Configuration:

igt@kms_frontbuffer_tracking@psr-2p-pri-indfb-multidraw
igt@kms_frontbuffer_tracking@fbcpsr-2p-pri-indfb-multidraw
igt@kms_frontbuffer_tracking@psr-1p-pri-indfb-multidraw
igt@kms_frontbuffer_tracking@fbcpsr-1p-pri-indfb-multidraw


Software information
============================================
Kernel version                  : 4.7.0-rc6-testing+
    tag drm-intel-testing-2016-07-11 4.7.0-rc6 0230e3c from                http://cgit.freedesktop.org/drm-intel/
  commit 0230e3c4eb76cf8f57cf40db0e908b96b84e3911

Linux distribution              : Ubuntu 16.04 LTS
Architecture                    : 64-bit
Mesa version                    : Not found << Please see the message at the bottom >>
xf86-video-intel version        : 2.99.917
Xorg-Xserver version            : 1.18.3
DRM version                     : 2.4.68
VAAPI version                   : Intel i965 driver for Intel(R) Kabylake - 1.7.1
Cairo version                   : 1.15.2
Intel GPU Tools version         : Tag [intel-gpu-tools-1.15-110-g2038b24] / Commit [2038b24]
Kernel driver in use            : i915
Hardware acceleration           :
Bios revision                   : 42.0
KSC revision                    : 1.20


 Hardware information
============================================
Platform                        : KBL (RVP7)
Motherboard model               : Kabylake Client platform
Motherboard type                : Skylake U DDR3L RVP7 Laptop
Motherboard manufacturer        : Intel Corporation
CPU family                      : Other
CPU information                 : Genuine Intel(R) CPU 0000 @ 2.60GHz
GPU Card                        : Intel Corporation Device 5916 (prog-if 00 [VGA controller])
Memory ram                      : 4 GB
Maximum memory ram allowed      : 16 GB
Display resolution              :
CPU's number                    : 4
Hard drive Capacity             : 120 GB
Comment 34 Humberto Israel Perez Rodriguez 2016-10-14 20:57:55 UTC
The following test keeps fail with latest configuration on BDW

test:
==========================
kms_frontbuffer_tracking@fbc-suspend

Kernel used
====================================
Kernel version : 4.8.0-f35ed31
Architecture : source amd64 all
Branch           : drm-intel-nightly WW42 
commit f35ed31aea66b3230c366fcba5f3456ae2cb956e
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Mon Oct 10 14:29:09 2016 +0300

    drm-intel-nightly: 2016y-10m-10d-11h-28m-51s UTC integration manifest


Gfx stack
====================================
Component         : drm
	tag       : libdrm-2.4.71
	commit    : a44c9c31b7b38b3eedf3d26648f9e68dcc377c4c 

Component         : cairo
	tag       : 1.15.2
	commit    : db8a7f1697c49ae4942d2aa49eed52dd73dd9c7a 

Component         : intel-gpu-tools
	tag       : intel-gpu-tools-1.16-59-g48a9e1e
	commit    : 48a9e1e1553d37067ea2199e00aa51a356e7fa68 

 Hardware information
============================================
Platform                        : BDW
Motherboard type                : NUC5i5RYB Desktop
Motherboard manufacturer        :
CPU family                      : Core i5
CPU information                 : Intel(R) Core(TM) i5-5250U CPU @ 1.60GHz
GPU Card                        : Intel Corporation Broadwell-U Integrated Graphics (rev 09) (prog-if 00 [VGA controller])
Memory ram                      : 8 GB
Maximum memory ram allowed      : 16 GB
CPU thread                      : 4
CPU core                        : 2
Socket                          : Socket BGA1168
Signature                       : Type 0, Family 6, Model 61, Stepping 4
Hard drive capacity             : 74GiB (80GB)
Comment 35 cprigent 2016-10-17 11:40:17 UTC
A regression was found on BDW, it is tracked by bug 98290
Comment 36 Paulo Zanoni 2016-12-23 11:33:47 UTC
(In reply to Paulo Zanoni from comment #27)
> This is not working: grouping both FBC and PSR and all platforms on a single
> bug report is a guarantee we'll never close this. Also, my tiny little brain
> is to small to process everything at the same time.
> 
> Please let's open one bug per feature per platform:
> - BXT PSR subcases failing
> - BXT FBC subcases failing
> - SKL PSR subcases failing
> - SKL FBC subcases failing
> - BDW PSR subcases failing
> - BDW FBC subcases failing
> - BSW PSR subcases failing
> - BSW FBC subcases failing
> 
> Also, let's give a higher priority to platforms that have the feature
> enabled by default.
> 
> I also don't think we'll need the 8 cases above.

Based on the comment above and on the results of VIZ-7181, I'll mark this bug as fixed. Please do not reopen it: open new bugs, one for each subtest on each platform that fails (or just one for each regression in case we bisect it). We already have #98290 and #99169.

Thanks for all the testing,
Paulo


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.